# Class ElectroShotChargeAttr

Base class defining all `Move` Attributes

#### Abstract

#### See

`apply`

#### Hierarchy (view full)

- ChargeAttr
  - ElectroShotChargeAttr

- Defined in src/data/move.ts:2143

#####
Index

### Constructors

constructor

### Properties

chargeAnim
followUpPriority
sameTurn
selfTarget
statIncreaseApplied

### Methods

apply
getCondition
getFailedText
getTargetBenefitScore
getUserBenefitScore
usedChargeEffect

## Constructors

### constructor

- new ElectroShotChargeAttr(): ElectroShotChargeAttr

- #### Returns ElectroShotChargeAttr

  Overrides ChargeAttr.constructor

  - Defined in src/data/move.ts:2145

## Properties

### chargeAnim

chargeAnim: ChargeAnim

Inherited from ChargeAttr.chargeAnim

- Defined in src/data/move.ts:2070

### followUpPriority

followUpPriority: number

Inherited from ChargeAttr.followUpPriority

- Defined in src/data/move.ts:2075

### sameTurn

sameTurn: boolean

Inherited from ChargeAttr.sameTurn

- Defined in src/data/move.ts:2074

### selfTarget

selfTarget: boolean

Should this `Move` target the user?

Inherited from ChargeAttr.selfTarget

- Defined in src/data/move.ts:718

### `Private` statIncreaseApplied

statIncreaseApplied: boolean

- Defined in src/data/move.ts:2144

## Methods

### apply

- apply(user, target, move, args): Promise<boolean>

- Applies move attributes

  #### Parameters

  - user: default

    `Pokemon` using the move

  - target: default

    `Pokemon` target of the move

  - move: default

    `Move` with this attribute

  - args: any[]

    Set of unique arguments needed by this attribute

  #### Returns Promise<boolean>

  true if application of the ability succeeds

  #### See

  applyMoveAttrsInternal

  Overrides ChargeAttr.apply

  - Defined in src/data/move.ts:2151

### getCondition

- getCondition(): MoveCondition | MoveConditionFunc

- #### Returns MoveCondition | MoveConditionFunc

  the `MoveCondition` or MoveConditionFunc for this `Move`

  Inherited from ChargeAttr.getCondition

  - Defined in src/data/move.ts:742

### getFailedText

- getFailedText(user, target, move, cancelled): string

- #### Parameters

  - user: default

    `Pokemon` using the move

  - target: default

    `Pokemon` target of the move

  - move: default

    `Move` with this attribute

  - cancelled: BooleanHolder

    `Utils.BooleanHolder` which stores if the move should fail

  #### Returns string

  the string representing failure of this `Move`

  Inherited from ChargeAttr.getFailedText

  - Defined in src/data/move.ts:754

### getTargetBenefitScore

- getTargetBenefitScore(user, target, move): number

- Used by the Enemy AI to rank an attack based on a given target

  #### Parameters

  - user: default
  - target: default
  - move: default

  #### Returns number

  #### See

  `EnemyPokemon.getNextMove`

  Inherited from ChargeAttr.getTargetBenefitScore

  - Defined in src/data/move.ts:772

### getUserBenefitScore

- getUserBenefitScore(user, target, move): number

- Used by the Enemy AI to rank an attack based on a given user

  #### Parameters

  - user: default
  - target: default
  - move: default

  #### Returns number

  #### See

  `EnemyPokemon.getNextMove`

  Inherited from ChargeAttr.getUserBenefitScore

  - Defined in src/data/move.ts:763

### usedChargeEffect

- usedChargeEffect(user, target, move): boolean

- #### Parameters

  - user: default
  - target: default
  - move: default

  #### Returns boolean

  Inherited from ChargeAttr.usedChargeEffect

  - Defined in src/data/move.ts:2116